%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                    %
%                  PROOF OBLIGATIONS                 %
%                                                    %
%        OPERATIONS PRESERVE STATE INVARIANTS        %
%                                                    %
%  :- checkAllInv.                                   %
%                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%% 325 proof obligations
%%%% 548 seconds
%%%% 370 seconds concurrent

tisPoll_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisPoll(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisPoll_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisPoll(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisPoll_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisPoll(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisPoll_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisPoll(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisPoll_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisPoll(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisPoll_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisPoll(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisPoll_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisPoll(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisPoll_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisPoll(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisPoll_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisPoll(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisPoll_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisPoll(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisPoll_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisPoll(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisPoll_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisPoll(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisPoll_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisPoll(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisEarlyUpdate_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisEarlyUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisEarlyUpdate_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisEarlyUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisEarlyUpdate_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisEarlyUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisEarlyUpdate_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisEarlyUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisEarlyUpdate_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisEarlyUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisEarlyUpdate_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisEarlyUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisEarlyUpdate_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisEarlyUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisEarlyUpdate_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisEarlyUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisEarlyUpdate_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisEarlyUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisEarlyUpdate_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisEarlyUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisEarlyUpdate_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisEarlyUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisEarlyUpdate_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisEarlyUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisEarlyUpdate_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisEarlyUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisUpdate_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisUpdate_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisUpdate_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisUpdate_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisUpdate_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisUpdate_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisUpdate_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisUpdate_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisUpdate_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisUpdate_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisUpdate_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisUpdate_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisUpdate_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisReadUserToken_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisReadUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisReadUserToken_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisReadUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisReadUserToken_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisReadUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisReadUserToken_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisReadUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisReadUserToken_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisReadUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisReadUserToken_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisReadUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisReadUserToken_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisReadUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisReadUserToken_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisReadUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisReadUserToken_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisReadUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisReadUserToken_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisReadUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisReadUserToken_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisReadUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisReadUserToken_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisReadUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisReadUserToken_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisReadUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisValidateUserToken_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisValidateUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisValidateUserToken_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisValidateUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisValidateUserToken_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisValidateUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisValidateUserToken_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisValidateUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisValidateUserToken_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisValidateUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisValidateUserToken_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisValidateUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisValidateUserToken_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisValidateUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisValidateUserToken_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisValidateUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisValidateUserToken_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisValidateUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisValidateUserToken_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisValidateUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisValidateUserToken_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisValidateUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisValidateUserToken_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisValidateUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisValidateUserToken_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisValidateUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisReadFinger_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisReadFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisReadFinger_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisReadFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisReadFinger_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisReadFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisReadFinger_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisReadFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisReadFinger_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisReadFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisReadFinger_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisReadFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisReadFinger_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisReadFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisReadFinger_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisReadFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisReadFinger_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisReadFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisReadFinger_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisReadFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisReadFinger_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisReadFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisReadFinger_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisReadFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisReadFinger_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisReadFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisValidateFinger_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisValidateFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisValidateFinger_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisValidateFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisValidateFinger_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisValidateFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisValidateFinger_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisValidateFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisValidateFinger_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisValidateFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisValidateFinger_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisValidateFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisValidateFinger_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisValidateFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisValidateFinger_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisValidateFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisValidateFinger_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisValidateFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisValidateFinger_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisValidateFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisValidateFinger_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisValidateFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisValidateFinger_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisValidateFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisValidateFinger_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisValidateFinger(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisWriteUserToken_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisWriteUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisWriteUserToken_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisWriteUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisWriteUserToken_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisWriteUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisWriteUserToken_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisWriteUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisWriteUserToken_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisWriteUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisWriteUserToken_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisWriteUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisWriteUserToken_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisWriteUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisWriteUserToken_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisWriteUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisWriteUserToken_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisWriteUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisWriteUserToken_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisWriteUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisWriteUserToken_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisWriteUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisWriteUserToken_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisWriteUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisWriteUserToken_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisWriteUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisValidateEntry_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisValidateEntry(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisValidateEntry_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisValidateEntry(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisValidateEntry_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisValidateEntry(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisValidateEntry_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisValidateEntry(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisValidateEntry_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisValidateEntry(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisValidateEntry_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisValidateEntry(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisValidateEntry_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisValidateEntry(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisValidateEntry_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisValidateEntry(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisValidateEntry_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisValidateEntry(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisValidateEntry_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisValidateEntry(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisValidateEntry_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisValidateEntry(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisValidateEntry_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisValidateEntry(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisValidateEntry_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisValidateEntry(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisUnlockDoor_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisUnlockDoor(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisUnlockDoor_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisUnlockDoor(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisUnlockDoor_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisUnlockDoor(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisUnlockDoor_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisUnlockDoor(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisUnlockDoor_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisUnlockDoor(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisUnlockDoor_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisUnlockDoor(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisUnlockDoor_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisUnlockDoor(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisUnlockDoor_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisUnlockDoor(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisUnlockDoor_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisUnlockDoor(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisUnlockDoor_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisUnlockDoor(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisUnlockDoor_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisUnlockDoor(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisUnlockDoor_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisUnlockDoor(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisUnlockDoor_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisUnlockDoor(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisCompleteFailedAccess_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisCompleteFailedAccess(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisCompleteFailedAccess_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisCompleteFailedAccess(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisCompleteFailedAccess_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisCompleteFailedAccess(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisCompleteFailedAccess_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisCompleteFailedAccess(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisCompleteFailedAccess_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisCompleteFailedAccess(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisCompleteFailedAccess_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisCompleteFailedAccess(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisCompleteFailedAccess_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisCompleteFailedAccess(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisCompleteFailedAccess_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisCompleteFailedAccess(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisCompleteFailedAccess_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisCompleteFailedAccess(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisCompleteFailedAccess_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisCompleteFailedAccess(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisCompleteFailedAccess_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisCompleteFailedAccess(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisCompleteFailedAccess_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisCompleteFailedAccess(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisCompleteFailedAccess_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisCompleteFailedAccess(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisEnrolOp_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisEnrolOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisEnrolOp_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisEnrolOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisEnrolOp_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisEnrolOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisEnrolOp_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisEnrolOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisEnrolOp_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisEnrolOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisEnrolOp_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisEnrolOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisEnrolOp_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisEnrolOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisEnrolOp_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisEnrolOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisEnrolOp_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisEnrolOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisEnrolOp_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisEnrolOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisEnrolOp_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisEnrolOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisEnrolOp_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisEnrolOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisEnrolOp_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisEnrolOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisReadAdminToken_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisReadAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisReadAdminToken_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisReadAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisReadAdminToken_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisReadAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisReadAdminToken_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisReadAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisReadAdminToken_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisReadAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisReadAdminToken_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisReadAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisReadAdminToken_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisReadAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisReadAdminToken_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisReadAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisReadAdminToken_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisReadAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisReadAdminToken_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisReadAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisReadAdminToken_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisReadAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisReadAdminToken_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisReadAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisReadAdminToken_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisReadAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisValidateAdminToken_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisValidateAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisValidateAdminToken_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisValidateAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisValidateAdminToken_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisValidateAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisValidateAdminToken_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisValidateAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisValidateAdminToken_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisValidateAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisValidateAdminToken_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisValidateAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisValidateAdminToken_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisValidateAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisValidateAdminToken_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisValidateAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisValidateAdminToken_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisValidateAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisValidateAdminToken_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisValidateAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisValidateAdminToken_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisValidateAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisValidateAdminToken_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisValidateAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisValidateAdminToken_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisValidateAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisCompleteFailedAdminLogon_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisCompleteFailedAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisCompleteFailedAdminLogon_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisCompleteFailedAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisCompleteFailedAdminLogon_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisCompleteFailedAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisCompleteFailedAdminLogon_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisCompleteFailedAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisCompleteFailedAdminLogon_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisCompleteFailedAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisCompleteFailedAdminLogon_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisCompleteFailedAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisCompleteFailedAdminLogon_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisCompleteFailedAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisCompleteFailedAdminLogon_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisCompleteFailedAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisCompleteFailedAdminLogon_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisCompleteFailedAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisCompleteFailedAdminLogon_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisCompleteFailedAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisCompleteFailedAdminLogon_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisCompleteFailedAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisCompleteFailedAdminLogon_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisCompleteFailedAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisCompleteFailedAdminLogon_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisCompleteFailedAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisAdminLogon_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisAdminLogon_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisAdminLogon_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisAdminLogon_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisAdminLogon_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisAdminLogon_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisAdminLogon_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisAdminLogon_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisAdminLogon_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisAdminLogon_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisAdminLogon_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisAdminLogon_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisAdminLogon_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisAdminLogon(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisCompleteTimeoutAdminLogout_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisCompleteTimeoutAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisCompleteTimeoutAdminLogout_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisCompleteTimeoutAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisCompleteTimeoutAdminLogout_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisCompleteTimeoutAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisCompleteTimeoutAdminLogout_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisCompleteTimeoutAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisCompleteTimeoutAdminLogout_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisCompleteTimeoutAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisCompleteTimeoutAdminLogout_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisCompleteTimeoutAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisCompleteTimeoutAdminLogout_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisCompleteTimeoutAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisCompleteTimeoutAdminLogout_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisCompleteTimeoutAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisCompleteTimeoutAdminLogout_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisCompleteTimeoutAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisCompleteTimeoutAdminLogout_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisCompleteTimeoutAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisCompleteTimeoutAdminLogout_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisCompleteTimeoutAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisCompleteTimeoutAdminLogout_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisCompleteTimeoutAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisCompleteTimeoutAdminLogout_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisCompleteTimeoutAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisAdminLogout_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisAdminLogout_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisAdminLogout_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisAdminLogout_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisAdminLogout_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisAdminLogout_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisAdminLogout_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisAdminLogout_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisAdminLogout_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisAdminLogout_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisAdminLogout_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisAdminLogout_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisAdminLogout_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisStartAdminOp_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisStartAdminOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisStartAdminOp_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisStartAdminOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisStartAdminOp_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisStartAdminOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisStartAdminOp_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisStartAdminOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisStartAdminOp_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisStartAdminOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisStartAdminOp_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisStartAdminOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisStartAdminOp_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisStartAdminOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisStartAdminOp_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisStartAdminOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisStartAdminOp_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisStartAdminOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisStartAdminOp_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisStartAdminOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisStartAdminOp_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisStartAdminOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisStartAdminOp_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisStartAdminOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisStartAdminOp_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisStartAdminOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisArchiveLogOp_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisArchiveLogOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisArchiveLogOp_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisArchiveLogOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisArchiveLogOp_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisArchiveLogOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisArchiveLogOp_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisArchiveLogOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisArchiveLogOp_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisArchiveLogOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisArchiveLogOp_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisArchiveLogOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisArchiveLogOp_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisArchiveLogOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisArchiveLogOp_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisArchiveLogOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisArchiveLogOp_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisArchiveLogOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisArchiveLogOp_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisArchiveLogOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisArchiveLogOp_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisArchiveLogOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisArchiveLogOp_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisArchiveLogOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisArchiveLogOp_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisArchiveLogOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisUpdateConfigDataOp_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisUpdateConfigDataOp(M,IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisUpdateConfigDataOp_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisUpdateConfigDataOp(M,IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisUpdateConfigDataOp_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisUpdateConfigDataOp(M,IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisUpdateConfigDataOp_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisUpdateConfigDataOp(M,IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisUpdateConfigDataOp_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisUpdateConfigDataOp(M,IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisUpdateConfigDataOp_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisUpdateConfigDataOp(M,IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisUpdateConfigDataOp_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisUpdateConfigDataOp(M,IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisUpdateConfigDataOp_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisUpdateConfigDataOp(M,IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisUpdateConfigDataOp_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisUpdateConfigDataOp(M,IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisUpdateConfigDataOp_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisUpdateConfigDataOp(M,IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisUpdateConfigDataOp_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisUpdateConfigDataOp(M,IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisUpdateConfigDataOp_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisUpdateConfigDataOp(M,IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisUpdateConfigDataOp_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisUpdateConfigDataOp(M,IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisShutdownOp_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisShutdownOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisShutdownOp_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisShutdownOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisShutdownOp_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisShutdownOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisShutdownOp_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisShutdownOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisShutdownOp_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisShutdownOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisShutdownOp_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisShutdownOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisShutdownOp_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisShutdownOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisShutdownOp_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisShutdownOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisShutdownOp_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisShutdownOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisShutdownOp_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisShutdownOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisShutdownOp_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisShutdownOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisShutdownOp_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisShutdownOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisShutdownOp_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisShutdownOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisOverrideDoorLockOp_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisOverrideDoorLockOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisOverrideDoorLockOp_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisOverrideDoorLockOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisOverrideDoorLockOp_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisOverrideDoorLockOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisOverrideDoorLockOp_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisOverrideDoorLockOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisOverrideDoorLockOp_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisOverrideDoorLockOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisOverrideDoorLockOp_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisOverrideDoorLockOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisOverrideDoorLockOp_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisOverrideDoorLockOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisOverrideDoorLockOp_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisOverrideDoorLockOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisOverrideDoorLockOp_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisOverrideDoorLockOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisOverrideDoorLockOp_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisOverrideDoorLockOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisOverrideDoorLockOp_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisOverrideDoorLockOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisOverrideDoorLockOp_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisOverrideDoorLockOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisOverrideDoorLockOp_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisOverrideDoorLockOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisStartup_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisStartup(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisStartup_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisStartup(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisStartup_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisStartup(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisStartup_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisStartup(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisStartup_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisStartup(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisStartup_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisStartup(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisStartup_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisStartup(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisStartup_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisStartup(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisStartup_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisStartup(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisStartup_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisStartup(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisStartup_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisStartup(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisStartup_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisStartup(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisStartup_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisStartup(IDStation,RealWorld,RealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

tisIdle_P_idStationInv01 :-
  idStationInv01(IDStation) &
  tisIdle(IDStation,TISControlledRealWorld,TISControlledRealWorld_,IDStation_) &
  not_idStationInv01(IDStation_).

tisIdle_P_idStationInv02 :-
  idStationInv02(IDStation,M) &
  tisIdle(IDStation,TISControlledRealWorld,TISControlledRealWorld_,IDStation_) &
  not_idStationInv02(IDStation_,M).

tisIdle_P_idStationInv03 :-
  idStationInv03(IDStation,[M1,M2]) &
  tisIdle(IDStation,TISControlledRealWorld,TISControlledRealWorld_,IDStation_) &
  not_idStationInv03(IDStation_,[M1_,M2_]).

tisIdle_P_idStationInv04 :-
  idStationInv04(IDStation,X) &
  tisIdle(IDStation,TISControlledRealWorld,TISControlledRealWorld_,IDStation_) &
  not_idStationInv04(IDStation_,X_).

tisIdle_P_idStationInv05 :-
  idStationInv05(IDStation,T) &
  tisIdle(IDStation,TISControlledRealWorld,TISControlledRealWorld_,IDStation_) &
  not_idStationInv05(IDStation_,T_).

tisIdle_P_idStationInv06 :-
  idStationInv06(IDStation,T) &
  tisIdle(IDStation,TISControlledRealWorld,TISControlledRealWorld_,IDStation_) &
  not_idStationInv06(IDStation_,T_).

tisIdle_P_idStationInv07 :-
  idStationInv07(IDStation) &
  tisIdle(IDStation,TISControlledRealWorld,TISControlledRealWorld_,IDStation_) &
  not_idStationInv07(IDStation_).

tisIdle_P_idStationInv08 :-
  idStationInv08(IDStation) &
  tisIdle(IDStation,TISControlledRealWorld,TISControlledRealWorld_,IDStation_) &
  not_idStationInv08(IDStation_).

tisIdle_P_idStationInv09 :-
  idStationInv09(IDStation,X) &
  tisIdle(IDStation,TISControlledRealWorld,TISControlledRealWorld_,IDStation_) &
  not_idStationInv09(IDStation_,X_).

tisIdle_P_idStationInv10 :-
  idStationInv10(IDStation) &
  tisIdle(IDStation,TISControlledRealWorld,TISControlledRealWorld_,IDStation_) &
  not_idStationInv10(IDStation_).

tisIdle_P_idStationInv11 :-
  idStationInv11(IDStation) &
  tisIdle(IDStation,TISControlledRealWorld,TISControlledRealWorld_,IDStation_) &
  not_idStationInv11(IDStation_).

tisIdle_P_idStationInv12 :-
  idStationInv12(IDStation) &
  tisIdle(IDStation,TISControlledRealWorld,TISControlledRealWorld_,IDStation_) &
  not_idStationInv12(IDStation_).

tisIdle_P_idStationInv13 :-
  idStationInv13(IDStation) &
  tisIdle(IDStation,TISControlledRealWorld,TISControlledRealWorld_,IDStation_) &
  not_idStationInv13(IDStation_).

check_tisPoll :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisPoll_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisPoll_P_idStationInv01 or
   nl & write('Checking tisPoll_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisPoll_P_idStationInv02 or
   nl & write('Checking tisPoll_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisPoll_P_idStationInv03 or
   nl & write('Checking tisPoll_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisPoll_P_idStationInv04 or
   nl & write('Checking tisPoll_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisPoll_P_idStationInv05 or
   nl & write('Checking tisPoll_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisPoll_P_idStationInv06 or
   nl & write('Checking tisPoll_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisPoll_P_idStationInv07 or
   nl & write('Checking tisPoll_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisPoll_P_idStationInv08 or
   nl & write('Checking tisPoll_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisPoll_P_idStationInv09 or
   nl & write('Checking tisPoll_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisPoll_P_idStationInv10 or
   nl & write('Checking tisPoll_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisPoll_P_idStationInv11 or
   nl & write('Checking tisPoll_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisPoll_P_idStationInv12 or
   nl & write('Checking tisPoll_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisPoll_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisEarlyUpdate :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisEarlyUpdate_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisEarlyUpdate_P_idStationInv01 or
   nl & write('Checking tisEarlyUpdate_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisEarlyUpdate_P_idStationInv02 or
   nl & write('Checking tisEarlyUpdate_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisEarlyUpdate_P_idStationInv03 or
   nl & write('Checking tisEarlyUpdate_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisEarlyUpdate_P_idStationInv04 or
   nl & write('Checking tisEarlyUpdate_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisEarlyUpdate_P_idStationInv05 or
   nl & write('Checking tisEarlyUpdate_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisEarlyUpdate_P_idStationInv06 or
   nl & write('Checking tisEarlyUpdate_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisEarlyUpdate_P_idStationInv07 or
   nl & write('Checking tisEarlyUpdate_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisEarlyUpdate_P_idStationInv08 or
   nl & write('Checking tisEarlyUpdate_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisEarlyUpdate_P_idStationInv09 or
   nl & write('Checking tisEarlyUpdate_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisEarlyUpdate_P_idStationInv10 or
   nl & write('Checking tisEarlyUpdate_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisEarlyUpdate_P_idStationInv11 or
   nl & write('Checking tisEarlyUpdate_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisEarlyUpdate_P_idStationInv12 or
   nl & write('Checking tisEarlyUpdate_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisEarlyUpdate_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisUpdate :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisUpdate_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisUpdate_P_idStationInv01 or
   nl & write('Checking tisUpdate_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisUpdate_P_idStationInv02 or
   nl & write('Checking tisUpdate_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisUpdate_P_idStationInv03 or
   nl & write('Checking tisUpdate_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisUpdate_P_idStationInv04 or
   nl & write('Checking tisUpdate_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisUpdate_P_idStationInv05 or
   nl & write('Checking tisUpdate_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisUpdate_P_idStationInv06 or
   nl & write('Checking tisUpdate_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisUpdate_P_idStationInv07 or
   nl & write('Checking tisUpdate_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisUpdate_P_idStationInv08 or
   nl & write('Checking tisUpdate_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisUpdate_P_idStationInv09 or
   nl & write('Checking tisUpdate_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisUpdate_P_idStationInv10 or
   nl & write('Checking tisUpdate_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisUpdate_P_idStationInv11 or
   nl & write('Checking tisUpdate_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisUpdate_P_idStationInv12 or
   nl & write('Checking tisUpdate_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisUpdate_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisReadUserToken :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisReadUserToken_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisReadUserToken_P_idStationInv01 or
   nl & write('Checking tisReadUserToken_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisReadUserToken_P_idStationInv02 or
   nl & write('Checking tisReadUserToken_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisReadUserToken_P_idStationInv03 or
   nl & write('Checking tisReadUserToken_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisReadUserToken_P_idStationInv04 or
   nl & write('Checking tisReadUserToken_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisReadUserToken_P_idStationInv05 or
   nl & write('Checking tisReadUserToken_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisReadUserToken_P_idStationInv06 or
   nl & write('Checking tisReadUserToken_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisReadUserToken_P_idStationInv07 or
   nl & write('Checking tisReadUserToken_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisReadUserToken_P_idStationInv08 or
   nl & write('Checking tisReadUserToken_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisReadUserToken_P_idStationInv09 or
   nl & write('Checking tisReadUserToken_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisReadUserToken_P_idStationInv10 or
   nl & write('Checking tisReadUserToken_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisReadUserToken_P_idStationInv11 or
   nl & write('Checking tisReadUserToken_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisReadUserToken_P_idStationInv12 or
   nl & write('Checking tisReadUserToken_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisReadUserToken_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisValidateUserToken :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisValidateUserToken_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisValidateUserToken_P_idStationInv01 or
   nl & write('Checking tisValidateUserToken_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisValidateUserToken_P_idStationInv02 or
   nl & write('Checking tisValidateUserToken_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisValidateUserToken_P_idStationInv03 or
   nl & write('Checking tisValidateUserToken_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisValidateUserToken_P_idStationInv04 or
   nl & write('Checking tisValidateUserToken_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisValidateUserToken_P_idStationInv05 or
   nl & write('Checking tisValidateUserToken_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisValidateUserToken_P_idStationInv06 or
   nl & write('Checking tisValidateUserToken_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisValidateUserToken_P_idStationInv07 or
   nl & write('Checking tisValidateUserToken_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisValidateUserToken_P_idStationInv08 or
   nl & write('Checking tisValidateUserToken_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisValidateUserToken_P_idStationInv09 or
   nl & write('Checking tisValidateUserToken_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisValidateUserToken_P_idStationInv10 or
   nl & write('Checking tisValidateUserToken_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisValidateUserToken_P_idStationInv11 or
   nl & write('Checking tisValidateUserToken_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisValidateUserToken_P_idStationInv12 or
   nl & write('Checking tisValidateUserToken_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisValidateUserToken_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisReadFinger :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisReadFinger_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisReadFinger_P_idStationInv01 or
   nl & write('Checking tisReadFinger_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisReadFinger_P_idStationInv02 or
   nl & write('Checking tisReadFinger_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisReadFinger_P_idStationInv03 or
   nl & write('Checking tisReadFinger_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisReadFinger_P_idStationInv04 or
   nl & write('Checking tisReadFinger_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisReadFinger_P_idStationInv05 or
   nl & write('Checking tisReadFinger_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisReadFinger_P_idStationInv06 or
   nl & write('Checking tisReadFinger_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisReadFinger_P_idStationInv07 or
   nl & write('Checking tisReadFinger_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisReadFinger_P_idStationInv08 or
   nl & write('Checking tisReadFinger_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisReadFinger_P_idStationInv09 or
   nl & write('Checking tisReadFinger_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisReadFinger_P_idStationInv10 or
   nl & write('Checking tisReadFinger_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisReadFinger_P_idStationInv11 or
   nl & write('Checking tisReadFinger_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisReadFinger_P_idStationInv12 or
   nl & write('Checking tisReadFinger_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisReadFinger_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisValidateFinger :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisValidateFinger_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisValidateFinger_P_idStationInv01 or
   nl & write('Checking tisValidateFinger_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisValidateFinger_P_idStationInv02 or
   nl & write('Checking tisValidateFinger_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisValidateFinger_P_idStationInv03 or
   nl & write('Checking tisValidateFinger_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisValidateFinger_P_idStationInv04 or
   nl & write('Checking tisValidateFinger_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisValidateFinger_P_idStationInv05 or
   nl & write('Checking tisValidateFinger_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisValidateFinger_P_idStationInv06 or
   nl & write('Checking tisValidateFinger_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisValidateFinger_P_idStationInv07 or
   nl & write('Checking tisValidateFinger_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisValidateFinger_P_idStationInv08 or
   nl & write('Checking tisValidateFinger_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisValidateFinger_P_idStationInv09 or
   nl & write('Checking tisValidateFinger_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisValidateFinger_P_idStationInv10 or
   nl & write('Checking tisValidateFinger_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisValidateFinger_P_idStationInv11 or
   nl & write('Checking tisValidateFinger_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisValidateFinger_P_idStationInv12 or
   nl & write('Checking tisValidateFinger_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisValidateFinger_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisWriteUserToken :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisWriteUserToken_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisWriteUserToken_P_idStationInv01 or
   nl & write('Checking tisWriteUserToken_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisWriteUserToken_P_idStationInv02 or
   nl & write('Checking tisWriteUserToken_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisWriteUserToken_P_idStationInv03 or
   nl & write('Checking tisWriteUserToken_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisWriteUserToken_P_idStationInv04 or
   nl & write('Checking tisWriteUserToken_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisWriteUserToken_P_idStationInv05 or
   nl & write('Checking tisWriteUserToken_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisWriteUserToken_P_idStationInv06 or
   nl & write('Checking tisWriteUserToken_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisWriteUserToken_P_idStationInv07 or
   nl & write('Checking tisWriteUserToken_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisWriteUserToken_P_idStationInv08 or
   nl & write('Checking tisWriteUserToken_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisWriteUserToken_P_idStationInv09 or
   nl & write('Checking tisWriteUserToken_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisWriteUserToken_P_idStationInv10 or
   nl & write('Checking tisWriteUserToken_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisWriteUserToken_P_idStationInv11 or
   nl & write('Checking tisWriteUserToken_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisWriteUserToken_P_idStationInv12 or
   nl & write('Checking tisWriteUserToken_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisWriteUserToken_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisValidateEntry :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisValidateEntry_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisValidateEntry_P_idStationInv01 or
   nl & write('Checking tisValidateEntry_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisValidateEntry_P_idStationInv02 or
   nl & write('Checking tisValidateEntry_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisValidateEntry_P_idStationInv03 or
   nl & write('Checking tisValidateEntry_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisValidateEntry_P_idStationInv04 or
   nl & write('Checking tisValidateEntry_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisValidateEntry_P_idStationInv05 or
   nl & write('Checking tisValidateEntry_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisValidateEntry_P_idStationInv06 or
   nl & write('Checking tisValidateEntry_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisValidateEntry_P_idStationInv07 or
   nl & write('Checking tisValidateEntry_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisValidateEntry_P_idStationInv08 or
   nl & write('Checking tisValidateEntry_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisValidateEntry_P_idStationInv09 or
   nl & write('Checking tisValidateEntry_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisValidateEntry_P_idStationInv10 or
   nl & write('Checking tisValidateEntry_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisValidateEntry_P_idStationInv11 or
   nl & write('Checking tisValidateEntry_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisValidateEntry_P_idStationInv12 or
   nl & write('Checking tisValidateEntry_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisValidateEntry_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisUnlockDoor :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisUnlockDoor_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisUnlockDoor_P_idStationInv01 or
   nl & write('Checking tisUnlockDoor_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisUnlockDoor_P_idStationInv02 or
   nl & write('Checking tisUnlockDoor_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisUnlockDoor_P_idStationInv03 or
   nl & write('Checking tisUnlockDoor_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisUnlockDoor_P_idStationInv04 or
   nl & write('Checking tisUnlockDoor_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisUnlockDoor_P_idStationInv05 or
   nl & write('Checking tisUnlockDoor_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisUnlockDoor_P_idStationInv06 or
   nl & write('Checking tisUnlockDoor_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisUnlockDoor_P_idStationInv07 or
   nl & write('Checking tisUnlockDoor_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisUnlockDoor_P_idStationInv08 or
   nl & write('Checking tisUnlockDoor_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisUnlockDoor_P_idStationInv09 or
   nl & write('Checking tisUnlockDoor_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisUnlockDoor_P_idStationInv10 or
   nl & write('Checking tisUnlockDoor_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisUnlockDoor_P_idStationInv11 or
   nl & write('Checking tisUnlockDoor_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisUnlockDoor_P_idStationInv12 or
   nl & write('Checking tisUnlockDoor_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisUnlockDoor_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisCompleteFailedAccess :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisCompleteFailedAccess_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisCompleteFailedAccess_P_idStationInv01 or
   nl & write('Checking tisCompleteFailedAccess_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisCompleteFailedAccess_P_idStationInv02 or
   nl & write('Checking tisCompleteFailedAccess_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisCompleteFailedAccess_P_idStationInv03 or
   nl & write('Checking tisCompleteFailedAccess_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisCompleteFailedAccess_P_idStationInv04 or
   nl & write('Checking tisCompleteFailedAccess_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisCompleteFailedAccess_P_idStationInv05 or
   nl & write('Checking tisCompleteFailedAccess_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisCompleteFailedAccess_P_idStationInv06 or
   nl & write('Checking tisCompleteFailedAccess_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisCompleteFailedAccess_P_idStationInv07 or
   nl & write('Checking tisCompleteFailedAccess_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisCompleteFailedAccess_P_idStationInv08 or
   nl & write('Checking tisCompleteFailedAccess_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisCompleteFailedAccess_P_idStationInv09 or
   nl & write('Checking tisCompleteFailedAccess_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisCompleteFailedAccess_P_idStationInv10 or
   nl & write('Checking tisCompleteFailedAccess_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisCompleteFailedAccess_P_idStationInv11 or
   nl & write('Checking tisCompleteFailedAccess_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisCompleteFailedAccess_P_idStationInv12 or
   nl & write('Checking tisCompleteFailedAccess_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisCompleteFailedAccess_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisEnrolOp :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisEnrolOp_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisEnrolOp_P_idStationInv01 or
   nl & write('Checking tisEnrolOp_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisEnrolOp_P_idStationInv02 or
   nl & write('Checking tisEnrolOp_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisEnrolOp_P_idStationInv03 or
   nl & write('Checking tisEnrolOp_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisEnrolOp_P_idStationInv04 or
   nl & write('Checking tisEnrolOp_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisEnrolOp_P_idStationInv05 or
   nl & write('Checking tisEnrolOp_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisEnrolOp_P_idStationInv06 or
   nl & write('Checking tisEnrolOp_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisEnrolOp_P_idStationInv07 or
   nl & write('Checking tisEnrolOp_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisEnrolOp_P_idStationInv08 or
   nl & write('Checking tisEnrolOp_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisEnrolOp_P_idStationInv09 or
   nl & write('Checking tisEnrolOp_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisEnrolOp_P_idStationInv10 or
   nl & write('Checking tisEnrolOp_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisEnrolOp_P_idStationInv11 or
   nl & write('Checking tisEnrolOp_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisEnrolOp_P_idStationInv12 or
   nl & write('Checking tisEnrolOp_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisEnrolOp_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisReadAdminToken :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisReadAdminToken_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisReadAdminToken_P_idStationInv01 or
   nl & write('Checking tisReadAdminToken_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisReadAdminToken_P_idStationInv02 or
   nl & write('Checking tisReadAdminToken_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisReadAdminToken_P_idStationInv03 or
   nl & write('Checking tisReadAdminToken_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisReadAdminToken_P_idStationInv04 or
   nl & write('Checking tisReadAdminToken_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisReadAdminToken_P_idStationInv05 or
   nl & write('Checking tisReadAdminToken_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisReadAdminToken_P_idStationInv06 or
   nl & write('Checking tisReadAdminToken_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisReadAdminToken_P_idStationInv07 or
   nl & write('Checking tisReadAdminToken_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisReadAdminToken_P_idStationInv08 or
   nl & write('Checking tisReadAdminToken_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisReadAdminToken_P_idStationInv09 or
   nl & write('Checking tisReadAdminToken_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisReadAdminToken_P_idStationInv10 or
   nl & write('Checking tisReadAdminToken_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisReadAdminToken_P_idStationInv11 or
   nl & write('Checking tisReadAdminToken_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisReadAdminToken_P_idStationInv12 or
   nl & write('Checking tisReadAdminToken_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisReadAdminToken_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisValidateAdminToken :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisValidateAdminToken_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisValidateAdminToken_P_idStationInv01 or
   nl & write('Checking tisValidateAdminToken_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisValidateAdminToken_P_idStationInv02 or
   nl & write('Checking tisValidateAdminToken_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisValidateAdminToken_P_idStationInv03 or
   nl & write('Checking tisValidateAdminToken_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisValidateAdminToken_P_idStationInv04 or
   nl & write('Checking tisValidateAdminToken_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisValidateAdminToken_P_idStationInv05 or
   nl & write('Checking tisValidateAdminToken_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisValidateAdminToken_P_idStationInv06 or
   nl & write('Checking tisValidateAdminToken_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisValidateAdminToken_P_idStationInv07 or
   nl & write('Checking tisValidateAdminToken_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisValidateAdminToken_P_idStationInv08 or
   nl & write('Checking tisValidateAdminToken_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisValidateAdminToken_P_idStationInv09 or
   nl & write('Checking tisValidateAdminToken_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisValidateAdminToken_P_idStationInv10 or
   nl & write('Checking tisValidateAdminToken_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisValidateAdminToken_P_idStationInv11 or
   nl & write('Checking tisValidateAdminToken_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisValidateAdminToken_P_idStationInv12 or
   nl & write('Checking tisValidateAdminToken_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisValidateAdminToken_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisCompleteFailedAdminLogon :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisCompleteFailedAdminLogon_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisCompleteFailedAdminLogon_P_idStationInv01 or
   nl & write('Checking tisCompleteFailedAdminLogon_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisCompleteFailedAdminLogon_P_idStationInv02 or
   nl & write('Checking tisCompleteFailedAdminLogon_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisCompleteFailedAdminLogon_P_idStationInv03 or
   nl & write('Checking tisCompleteFailedAdminLogon_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisCompleteFailedAdminLogon_P_idStationInv04 or
   nl & write('Checking tisCompleteFailedAdminLogon_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisCompleteFailedAdminLogon_P_idStationInv05 or
   nl & write('Checking tisCompleteFailedAdminLogon_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisCompleteFailedAdminLogon_P_idStationInv06 or
   nl & write('Checking tisCompleteFailedAdminLogon_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisCompleteFailedAdminLogon_P_idStationInv07 or
   nl & write('Checking tisCompleteFailedAdminLogon_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisCompleteFailedAdminLogon_P_idStationInv08 or
   nl & write('Checking tisCompleteFailedAdminLogon_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisCompleteFailedAdminLogon_P_idStationInv09 or
   nl & write('Checking tisCompleteFailedAdminLogon_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisCompleteFailedAdminLogon_P_idStationInv10 or
   nl & write('Checking tisCompleteFailedAdminLogon_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisCompleteFailedAdminLogon_P_idStationInv11 or
   nl & write('Checking tisCompleteFailedAdminLogon_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisCompleteFailedAdminLogon_P_idStationInv12 or
   nl & write('Checking tisCompleteFailedAdminLogon_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisCompleteFailedAdminLogon_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisAdminLogon :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisAdminLogon_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisAdminLogon_P_idStationInv01 or
   nl & write('Checking tisAdminLogon_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisAdminLogon_P_idStationInv02 or
   nl & write('Checking tisAdminLogon_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisAdminLogon_P_idStationInv03 or
   nl & write('Checking tisAdminLogon_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisAdminLogon_P_idStationInv04 or
   nl & write('Checking tisAdminLogon_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisAdminLogon_P_idStationInv05 or
   nl & write('Checking tisAdminLogon_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisAdminLogon_P_idStationInv06 or
   nl & write('Checking tisAdminLogon_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisAdminLogon_P_idStationInv07 or
   nl & write('Checking tisAdminLogon_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisAdminLogon_P_idStationInv08 or
   nl & write('Checking tisAdminLogon_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisAdminLogon_P_idStationInv09 or
   nl & write('Checking tisAdminLogon_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisAdminLogon_P_idStationInv10 or
   nl & write('Checking tisAdminLogon_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisAdminLogon_P_idStationInv11 or
   nl & write('Checking tisAdminLogon_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisAdminLogon_P_idStationInv12 or
   nl & write('Checking tisAdminLogon_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisAdminLogon_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisCompleteTimeoutAdminLogout :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisCompleteTimeoutAdminLogout_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisCompleteTimeoutAdminLogout_P_idStationInv01 or
   nl & write('Checking tisCompleteTimeoutAdminLogout_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisCompleteTimeoutAdminLogout_P_idStationInv02 or
   nl & write('Checking tisCompleteTimeoutAdminLogout_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisCompleteTimeoutAdminLogout_P_idStationInv03 or
   nl & write('Checking tisCompleteTimeoutAdminLogout_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisCompleteTimeoutAdminLogout_P_idStationInv04 or
   nl & write('Checking tisCompleteTimeoutAdminLogout_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisCompleteTimeoutAdminLogout_P_idStationInv05 or
   nl & write('Checking tisCompleteTimeoutAdminLogout_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisCompleteTimeoutAdminLogout_P_idStationInv06 or
   nl & write('Checking tisCompleteTimeoutAdminLogout_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisCompleteTimeoutAdminLogout_P_idStationInv07 or
   nl & write('Checking tisCompleteTimeoutAdminLogout_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisCompleteTimeoutAdminLogout_P_idStationInv08 or
   nl & write('Checking tisCompleteTimeoutAdminLogout_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisCompleteTimeoutAdminLogout_P_idStationInv09 or
   nl & write('Checking tisCompleteTimeoutAdminLogout_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisCompleteTimeoutAdminLogout_P_idStationInv10 or
   nl & write('Checking tisCompleteTimeoutAdminLogout_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisCompleteTimeoutAdminLogout_P_idStationInv11 or
   nl & write('Checking tisCompleteTimeoutAdminLogout_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisCompleteTimeoutAdminLogout_P_idStationInv12 or
   nl & write('Checking tisCompleteTimeoutAdminLogout_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisCompleteTimeoutAdminLogout_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisAdminLogout :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisAdminLogout_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisAdminLogout_P_idStationInv01 or
   nl & write('Checking tisAdminLogout_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisAdminLogout_P_idStationInv02 or
   nl & write('Checking tisAdminLogout_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisAdminLogout_P_idStationInv03 or
   nl & write('Checking tisAdminLogout_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisAdminLogout_P_idStationInv04 or
   nl & write('Checking tisAdminLogout_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisAdminLogout_P_idStationInv05 or
   nl & write('Checking tisAdminLogout_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisAdminLogout_P_idStationInv06 or
   nl & write('Checking tisAdminLogout_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisAdminLogout_P_idStationInv07 or
   nl & write('Checking tisAdminLogout_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisAdminLogout_P_idStationInv08 or
   nl & write('Checking tisAdminLogout_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisAdminLogout_P_idStationInv09 or
   nl & write('Checking tisAdminLogout_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisAdminLogout_P_idStationInv10 or
   nl & write('Checking tisAdminLogout_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisAdminLogout_P_idStationInv11 or
   nl & write('Checking tisAdminLogout_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisAdminLogout_P_idStationInv12 or
   nl & write('Checking tisAdminLogout_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisAdminLogout_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisStartAdminOp :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisStartAdminOp_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisStartAdminOp_P_idStationInv01 or
   nl & write('Checking tisStartAdminOp_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisStartAdminOp_P_idStationInv02 or
   nl & write('Checking tisStartAdminOp_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisStartAdminOp_P_idStationInv03 or
   nl & write('Checking tisStartAdminOp_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisStartAdminOp_P_idStationInv04 or
   nl & write('Checking tisStartAdminOp_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisStartAdminOp_P_idStationInv05 or
   nl & write('Checking tisStartAdminOp_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisStartAdminOp_P_idStationInv06 or
   nl & write('Checking tisStartAdminOp_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisStartAdminOp_P_idStationInv07 or
   nl & write('Checking tisStartAdminOp_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisStartAdminOp_P_idStationInv08 or
   nl & write('Checking tisStartAdminOp_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisStartAdminOp_P_idStationInv09 or
   nl & write('Checking tisStartAdminOp_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisStartAdminOp_P_idStationInv10 or
   nl & write('Checking tisStartAdminOp_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisStartAdminOp_P_idStationInv11 or
   nl & write('Checking tisStartAdminOp_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisStartAdminOp_P_idStationInv12 or
   nl & write('Checking tisStartAdminOp_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisStartAdminOp_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisArchiveLogOp :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisArchiveLogOp_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisArchiveLogOp_P_idStationInv01 or
   nl & write('Checking tisArchiveLogOp_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisArchiveLogOp_P_idStationInv02 or
   nl & write('Checking tisArchiveLogOp_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisArchiveLogOp_P_idStationInv03 or
   nl & write('Checking tisArchiveLogOp_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisArchiveLogOp_P_idStationInv04 or
   nl & write('Checking tisArchiveLogOp_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisArchiveLogOp_P_idStationInv05 or
   nl & write('Checking tisArchiveLogOp_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisArchiveLogOp_P_idStationInv06 or
   nl & write('Checking tisArchiveLogOp_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisArchiveLogOp_P_idStationInv07 or
   nl & write('Checking tisArchiveLogOp_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisArchiveLogOp_P_idStationInv08 or
   nl & write('Checking tisArchiveLogOp_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisArchiveLogOp_P_idStationInv09 or
   nl & write('Checking tisArchiveLogOp_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisArchiveLogOp_P_idStationInv10 or
   nl & write('Checking tisArchiveLogOp_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisArchiveLogOp_P_idStationInv11 or
   nl & write('Checking tisArchiveLogOp_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisArchiveLogOp_P_idStationInv12 or
   nl & write('Checking tisArchiveLogOp_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisArchiveLogOp_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisUpdateConfigDataOp :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisUpdateConfigDataOp_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisUpdateConfigDataOp_P_idStationInv01 or
   nl & write('Checking tisUpdateConfigDataOp_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisUpdateConfigDataOp_P_idStationInv02 or
   nl & write('Checking tisUpdateConfigDataOp_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisUpdateConfigDataOp_P_idStationInv03 or
   nl & write('Checking tisUpdateConfigDataOp_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisUpdateConfigDataOp_P_idStationInv04 or
   nl & write('Checking tisUpdateConfigDataOp_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisUpdateConfigDataOp_P_idStationInv05 or
   nl & write('Checking tisUpdateConfigDataOp_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisUpdateConfigDataOp_P_idStationInv06 or
   nl & write('Checking tisUpdateConfigDataOp_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisUpdateConfigDataOp_P_idStationInv07 or
   nl & write('Checking tisUpdateConfigDataOp_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisUpdateConfigDataOp_P_idStationInv08 or
   nl & write('Checking tisUpdateConfigDataOp_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisUpdateConfigDataOp_P_idStationInv09 or
   nl & write('Checking tisUpdateConfigDataOp_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisUpdateConfigDataOp_P_idStationInv10 or
   nl & write('Checking tisUpdateConfigDataOp_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisUpdateConfigDataOp_P_idStationInv11 or
   nl & write('Checking tisUpdateConfigDataOp_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisUpdateConfigDataOp_P_idStationInv12 or
   nl & write('Checking tisUpdateConfigDataOp_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisUpdateConfigDataOp_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisShutdownOp :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisShutdownOp_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisShutdownOp_P_idStationInv01 or
   nl & write('Checking tisShutdownOp_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisShutdownOp_P_idStationInv02 or
   nl & write('Checking tisShutdownOp_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisShutdownOp_P_idStationInv03 or
   nl & write('Checking tisShutdownOp_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisShutdownOp_P_idStationInv04 or
   nl & write('Checking tisShutdownOp_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisShutdownOp_P_idStationInv05 or
   nl & write('Checking tisShutdownOp_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisShutdownOp_P_idStationInv06 or
   nl & write('Checking tisShutdownOp_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisShutdownOp_P_idStationInv07 or
   nl & write('Checking tisShutdownOp_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisShutdownOp_P_idStationInv08 or
   nl & write('Checking tisShutdownOp_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisShutdownOp_P_idStationInv09 or
   nl & write('Checking tisShutdownOp_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisShutdownOp_P_idStationInv10 or
   nl & write('Checking tisShutdownOp_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisShutdownOp_P_idStationInv11 or
   nl & write('Checking tisShutdownOp_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisShutdownOp_P_idStationInv12 or
   nl & write('Checking tisShutdownOp_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisShutdownOp_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisOverrideDoorLockOp :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisOverrideDoorLockOp_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisOverrideDoorLockOp_P_idStationInv01 or
   nl & write('Checking tisOverrideDoorLockOp_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisOverrideDoorLockOp_P_idStationInv02 or
   nl & write('Checking tisOverrideDoorLockOp_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisOverrideDoorLockOp_P_idStationInv03 or
   nl & write('Checking tisOverrideDoorLockOp_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisOverrideDoorLockOp_P_idStationInv04 or
   nl & write('Checking tisOverrideDoorLockOp_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisOverrideDoorLockOp_P_idStationInv05 or
   nl & write('Checking tisOverrideDoorLockOp_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisOverrideDoorLockOp_P_idStationInv06 or
   nl & write('Checking tisOverrideDoorLockOp_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisOverrideDoorLockOp_P_idStationInv07 or
   nl & write('Checking tisOverrideDoorLockOp_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisOverrideDoorLockOp_P_idStationInv08 or
   nl & write('Checking tisOverrideDoorLockOp_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisOverrideDoorLockOp_P_idStationInv09 or
   nl & write('Checking tisOverrideDoorLockOp_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisOverrideDoorLockOp_P_idStationInv10 or
   nl & write('Checking tisOverrideDoorLockOp_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisOverrideDoorLockOp_P_idStationInv11 or
   nl & write('Checking tisOverrideDoorLockOp_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisOverrideDoorLockOp_P_idStationInv12 or
   nl & write('Checking tisOverrideDoorLockOp_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisOverrideDoorLockOp_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisStartup :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisStartup_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisStartup_P_idStationInv01 or
   nl & write('Checking tisStartup_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisStartup_P_idStationInv02 or
   nl & write('Checking tisStartup_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisStartup_P_idStationInv03 or
   nl & write('Checking tisStartup_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisStartup_P_idStationInv04 or
   nl & write('Checking tisStartup_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisStartup_P_idStationInv05 or
   nl & write('Checking tisStartup_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisStartup_P_idStationInv06 or
   nl & write('Checking tisStartup_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisStartup_P_idStationInv07 or
   nl & write('Checking tisStartup_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisStartup_P_idStationInv08 or
   nl & write('Checking tisStartup_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisStartup_P_idStationInv09 or
   nl & write('Checking tisStartup_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisStartup_P_idStationInv10 or
   nl & write('Checking tisStartup_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisStartup_P_idStationInv11 or
   nl & write('Checking tisStartup_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisStartup_P_idStationInv12 or
   nl & write('Checking tisStartup_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisStartup_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

check_tisIdle :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking tisIdle_P_idStationInv01...') &
     prolog_call(flush_output) &
     tisIdle_P_idStationInv01 or
   nl & write('Checking tisIdle_P_idStationInv02...') &
     prolog_call(flush_output) &
     tisIdle_P_idStationInv02 or
   nl & write('Checking tisIdle_P_idStationInv03...') &
     prolog_call(flush_output) &
     tisIdle_P_idStationInv03 or
   nl & write('Checking tisIdle_P_idStationInv04...') &
     prolog_call(flush_output) &
     tisIdle_P_idStationInv04 or
   nl & write('Checking tisIdle_P_idStationInv05...') &
     prolog_call(flush_output) &
     tisIdle_P_idStationInv05 or
   nl & write('Checking tisIdle_P_idStationInv06...') &
     prolog_call(flush_output) &
     tisIdle_P_idStationInv06 or
   nl & write('Checking tisIdle_P_idStationInv07...') &
     prolog_call(flush_output) &
     tisIdle_P_idStationInv07 or
   nl & write('Checking tisIdle_P_idStationInv08...') &
     prolog_call(flush_output) &
     tisIdle_P_idStationInv08 or
   nl & write('Checking tisIdle_P_idStationInv09...') &
     prolog_call(flush_output) &
     tisIdle_P_idStationInv09 or
   nl & write('Checking tisIdle_P_idStationInv10...') &
     prolog_call(flush_output) &
     tisIdle_P_idStationInv10 or
   nl & write('Checking tisIdle_P_idStationInv11...') &
     prolog_call(flush_output) &
     tisIdle_P_idStationInv11 or
   nl & write('Checking tisIdle_P_idStationInv12...') &
     prolog_call(flush_output) &
     tisIdle_P_idStationInv12 or
   nl & write('Checking tisIdle_P_idStationInv13...') &
     prolog_call(flush_output) &
     tisIdle_P_idStationInv13 or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl).

checkAllInv :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking check_tisPoll...') & prolog_call(flush_output) &
   naf(check_tisPoll) or
   nl & write('Checking check_tisEarlyUpdate...') & prolog_call(flush_output) &
   naf(check_tisEarlyUpdate) or
   nl & write('Checking check_tisUpdate...') & prolog_call(flush_output) &
   naf(check_tisUpdate) or
   nl & write('Checking check_tisReadUserToken...') & prolog_call(flush_output) &
   naf(check_tisReadUserToken) or
   nl & write('Checking check_tisValidateUserToken...') & prolog_call(flush_output) &
   naf(check_tisValidateUserToken) or
   nl & write('Checking check_tisReadFinger...') & prolog_call(flush_output) &
   naf(check_tisReadFinger) or
   nl & write('Checking check_tisValidateFinger...') & prolog_call(flush_output) &
   naf(check_tisValidateFinger) or
   nl & write('Checking check_tisWriteUserToken...') & prolog_call(flush_output) &
   naf(check_tisWriteUserToken) or
   nl & write('Checking check_tisValidateEntry...') & prolog_call(flush_output) &
   naf(check_tisValidateEntry) or
   nl & write('Checking check_tisUnlockDoor...') & prolog_call(flush_output) &
   naf(check_tisUnlockDoor) or
   nl & write('Checking check_tisCompleteFailedAccess...') & prolog_call(flush_output) &
   naf(check_tisCompleteFailedAccess) or
   nl & write('Checking check_tisEnrolOp...') &
     prolog_call(flush_output) &
     naf(check_tisEnrolOp) or
   nl & write('Checking check_tisReadAdminToken...') & prolog_call(flush_output) &
   naf(check_tisReadAdminToken) or
   nl & write('Checking check_tisValidateAdminToken...') & prolog_call(flush_output) &
   naf(check_tisValidateAdminToken) or
   nl & write('Checking check_tisCompleteFailedAdminLogon...') & prolog_call(flush_output) &
   naf(check_tisCompleteFailedAdminLogon) or
   nl & write('Checking check_tisAdminLogon...') & prolog_call(flush_output) &
   naf(check_tisAdminLogon) or
   nl & write('Checking check_tisCompleteTimeoutAdminLogout...') & prolog_call(flush_output) &
   naf(check_tisCompleteTimeoutAdminLogout) or
   nl & write('Checking check_tisAdminLogout...') & prolog_call(flush_output) &
   naf(check_tisAdminLogout) or
   nl & write('Checking check_tisStartAdminOp...') & prolog_call(flush_output) &
   naf(check_tisStartAdminOp) or
   nl & write('Checking check_tisArchiveLogOp...') & prolog_call(flush_output) &
   naf(check_tisArchiveLogOp) or
   nl & write('Checking check_tisUpdateConfigDataOp...') & prolog_call(flush_output) &
   naf(check_tisUpdateConfigDataOp) or
   nl & write('Checking check_tisShutdownOp...') & prolog_call(flush_output) &
   naf(check_tisShutdownOp) or
   nl & write('Checking check_tisOverrideDoorLockOp...') & prolog_call(flush_output) &
   naf(check_tisOverrideDoorLockOp) or
   nl & write('Checking check_tisStartup...') & prolog_call(flush_output) &
   naf(check_tisStartup) or
   nl & write('Checking check_tisIdle...') & prolog_call(flush_output) &
   naf(check_tisIdle) or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
     nl & nl & write('All proof obligations discharged in ') &
     write(T) & write(' seconds') & nl
  ).

