%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                          %
%            PROOF OBLIGATIONS             %
%                                          %
%          NEGATIONS ARE CORRECT           %
%                                          %
%  :- checkAllPosSat.                      %
%  :- checkAllNotSat.                      %
%  :- checkAllNeg.                         %
%                                          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%% 93 proof obligations

configInv_Sat :-
  configInv(Config,M).

not_configInv_Sat :-
  not_configInv(Config,M).

neg_configInv_Unsat :-
  configInv(Config,M) & not_configInv(Config,M).

keyStoreInv_Sat :-
  keyStoreInv(KeyStore,[M1,M2]).

not_keyStoreInv_Sat :-
  not_keyStoreInv(KeyStore,[M1,M2]).

neg_keyStoreInv_Unsat :-
  keyStoreInv(KeyStore,[M1,M2]) & not_keyStoreInv(KeyStore,[M1,M2]).

adminInv_Sat :-
  adminInv(Admin,X).

not_adminInv_Sat :-
  not_adminInv(Admin,X).

neg_adminInv_Unsat :-
  adminInv(Admin,X) & not_adminInv(Admin,X).

doorLatchAlarmInv_Sat :-
  doorLatchAlarmInv(DoorLatchAlarm).

not_doorLatchAlarmInv_Sat :-
  not_doorLatchAlarmInv(DoorLatchAlarm).

neg_doorLatchAlarmInv_Unsat :-
  doorLatchAlarmInv(DoorLatchAlarm) & not_doorLatchAlarmInv(DoorLatchAlarm).

idStationInv01_Sat :-
  idStationInv01(IDStation).

not_idStationInv01_Sat :-
  not_idStationInv01(IDStation).

neg_idStationInv01_Unsat :-
  idStationInv01(IDStation) & not_idStationInv01(IDStation).

idStationInv02_Sat :-
  idStationInv02(IDStation,_).

not_idStationInv02_Sat :-
  not_idStationInv02(IDStation,_).

neg_idStationInv02_Unsat :-
  idStationInv02(IDStation,M) & not_idStationInv02(IDStation,M).

idStationInv03_Sat :-
  idStationInv03(IDStation,_).

not_idStationInv03_Sat :-
  not_idStationInv03(IDStation,_).

neg_idStationInv03_Unsat :-
  idStationInv03(IDStation,[M1,M2]) & not_idStationInv03(IDStation,[M1,M2]).

idStationInv04_Sat :-
  idStationInv04(IDStation,_).

not_idStationInv04_Sat :-
  not_idStationInv04(IDStation,_).

neg_idStationInv04_Unsat :-
  idStationInv04(IDStation,X) & not_idStationInv04(IDStation,X).

idStationInv05_Sat :-
  idStationInv05(IDStation,_).

not_idStationInv05_Sat :-
  not_idStationInv05(IDStation,_).

neg_idStationInv05_Unsat :-
  idStationInv05(IDStation,T) & not_idStationInv05(IDStation,T).

idStationInv06_Sat :-
  idStationInv06(IDStation,_).

not_idStationInv06_Sat :-
  not_idStationInv06(IDStation,_).

neg_idStationInv06_Unsat :-
  idStationInv06(IDStation,T) & not_idStationInv06(IDStation,T).

idStationInv07_Sat :-
  idStationInv07(IDStation).

not_idStationInv07_Sat :-
  not_idStationInv07(IDStation).

neg_idStationInv07_Unsat :-
  idStationInv07(IDStation) & not_idStationInv07(IDStation).

idStationInv08_Sat :-
  idStationInv08(IDStation).

not_idStationInv08_Sat :-
  not_idStationInv08(IDStation).

neg_idStationInv08_Unsat :-
  idStationInv08(IDStation) & not_idStationInv08(IDStation).

idStationInv09_Sat :-
  idStationInv09(IDStation,_).

not_idStationInv09_Sat :-
  not_idStationInv09(IDStation,_).

neg_idStationInv09_Unsat :-
  idStationInv09(IDStation,X) & not_idStationInv09(IDStation,X).

idStationInv10_Sat :-
  idStationInv10(IDStation).

not_idStationInv10_Sat :-
  not_idStationInv10(IDStation).

neg_idStationInv10_Unsat :-
  idStationInv10(IDStation) & not_idStationInv10(IDStation).

idStationInv11_Sat :-
  idStationInv11(IDStation).

not_idStationInv11_Sat :-
  not_idStationInv11(IDStation).

neg_idStationInv11_Unsat :-
  idStationInv11(IDStation) & not_idStationInv11(IDStation).

idStationInv12_Sat :-
  idStationInv12(IDStation).

not_idStationInv12_Sat :-
  not_idStationInv12(IDStation).

neg_idStationInv12_Unsat :-
  idStationInv12(IDStation) & not_idStationInv12(IDStation).

idStationInv13_Sat :-
  idStationInv13(IDStation).

not_idStationInv13_Sat :-
  not_idStationInv13(IDStation).

neg_idStationInv13_Unsat :-
  idStationInv13(IDStation) & not_idStationInv13(IDStation).

% schema negations

tokenWithValidAuth_Sat :-
  tokenWithValidAuth(Token).

not_tokenWithValidAuth_Sat :-
  not_tokenWithValidAuth(Token).

neg_tokenWithValidAuth :-
  tokenWithValidAuth(Token) & not_tokenWithValidAuth(Token).

certIssuerKnown_Sat :-
  certIssuerKnown(KeyStore,Certificate).

not_certIssuerKnown_Sat :-
  not_certIssuerKnown(KeyStore,Certificate).

neg_certIssuerKnown :-
  certIssuerKnown(KeyStore,Certificate) &
  not_certIssuerKnown(KeyStore,Certificate).

certOK_Sat :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) & 
    certOK(KeyStore,Certificate).

not_certOK_Sat :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) & 
    not_certOK(KeyStore,Certificate).

neg_certOK :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) & 
    certOK(KeyStore,Certificate) & not_certOK(KeyStore,Certificate).

certIssuerIsThisTIS_Sat :-
  certIssuerIsThisTIS(KeyStore,Certificate).

not_certIssuerIsThisTIS_Sat :-
  not_certIssuerIsThisTIS(KeyStore,Certificate).

neg_certIssuerIsThisTIS :-
  certIssuerIsThisTIS(KeyStore,Certificate) &
  not_certIssuerIsThisTIS(KeyStore,Certificate).

authCertOK_Sat :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) & 
    authCertOK(KeyStore,Certificate).

not_authCertOK_Sat :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) & 
    not_authCertOK(KeyStore,Certificate).

neg_authCertOK :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) & 
    authCertOK(KeyStore,Certificate) & not_authCertOK(KeyStore,Certificate).

userTokenWithOKAuthCert_Sat :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) & 
    userTokenWithOKAuthCert(KeyStore,UserToken,CurrentTime).

not_userTokenWithOKAuthCert_Sat :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) & 
    not_userTokenWithOKAuthCert(KeyStore,UserToken,CurrentTime).

neg_userTokenWithOKAuthCert :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) & 
    userTokenWithOKAuthCert(KeyStore,UserToken,CurrentTime) &
    not_userTokenWithOKAuthCert(KeyStore,UserToken,CurrentTime).

currentToken_Sat :-
  currentToken(Token,Now).

not_currentToken_Sat :-
  not_currentToken(Token,Now).

neg_currentToken :-
  currentToken(Token,Now) & not_currentToken(Token,Now).

userTokenOK_Sat :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) & 
    userTokenOK(KeyStore,UserToken,CurrentTime,Now).

not_userTokenOK_Sat :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) & 
    not_userTokenOK(KeyStore,UserToken,CurrentTime,Now).

neg_userTokenOK :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) & 
    userTokenOK(KeyStore,UserToken,CurrentTime,Now) &
    not_userTokenOK(KeyStore,UserToken,CurrentTime,Now).

validToken_Sat :-
  validToken(Token).

not_validToken_Sat :-
  not_validToken(Token).

neg_validToken :-
  validToken(Token) & not_validToken(Token).

userAllowedEntry_Sat :-
  Config = [_,_,_,_,_,EntryPeriod,_,_] &
  pfun(EntryPeriod) &
    userAllowedEntry(UserToken,Config,CurrentTime).

not_userAllowedEntry_Sat :-
  Config = [_,_,_,_,_,EntryPeriod,_,_] &
  pfun(EntryPeriod) &
    not_userAllowedEntry(UserToken,Config,CurrentTime).

neg_userAllowedEntry :-
  Config = [_,_,_,_,_,EntryPeriod,_,_] &
  pfun(EntryPeriod) &
    userAllowedEntry(UserToken,Config,CurrentTime) &
    not_userAllowedEntry(UserToken,Config,CurrentTime).

enrolmentDataOK_Sat :-
  enrolmentDataOK(Floppy,_KeyStore).

not_enrolmentDataOK_Sat :-
  not_enrolmentDataOK(Floppy,_KeyStore).

adminTokenOK_Sat :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) &
    adminTokenOK(AdminToken,KeyStore,CurrentTime).

not_adminTokenOK_Sat :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) &
    not_adminTokenOK(AdminToken,KeyStore,CurrentTime).

neg_adminTokenOK :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) &
    adminTokenOK(AdminToken,KeyStore,CurrentTime) &
    not_adminTokenOK(AdminToken,KeyStore,CurrentTime).

userTokenWithOKAuthCertNoCurrencyCheck_Sat :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) &
    userTokenWithOKAuthCertNoCurrencyCheck(KeyStore,UserToken,_CurrentTime).

not_userTokenWithOKAuthCertNoCurrencyCheck_Sat :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) &
    not_userTokenWithOKAuthCertNoCurrencyCheck(KeyStore,UserToken,_CurrentTime).

neg_userTokenWithOKAuthCertNoCurrencyCheck :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) &
    userTokenWithOKAuthCertNoCurrencyCheck(KeyStore,UserToken,_CurrentTime) &
    not_userTokenWithOKAuthCertNoCurrencyCheck(KeyStore,UserToken,_CurrentTime).

userTokenOKNoCurrencyCheck_Sat :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) &
    userTokenOKNoCurrencyCheck(KeyStore,UserToken,CurrentTime,Now).

not_userTokenOKNoCurrencyCheck_Sat :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) &
    not_userTokenOKNoCurrencyCheck(KeyStore,UserToken,CurrentTime,Now).

neg_userTokenOKNoCurrencyCheck :-
  KeyStore = [IssuerKey,_] &
  pfun(IssuerKey) &
    userTokenOKNoCurrencyCheck(KeyStore,UserToken,CurrentTime,Now) &
    not_userTokenOKNoCurrencyCheck(KeyStore,UserToken,CurrentTime,Now).

checkAllPosSat :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking negations of state invariant schemas...') & nl &
     prolog_call(flush_output) &
   nl & write('Checking configInvOK...') & prolog_call(flush_output) &
   naf(configInv_Sat) or
   nl & write('Checking keyStoreInvOK...') & prolog_call(flush_output) &
   naf(keyStoreInv_Sat) or
   nl & write('Checking adminInvOK...') & prolog_call(flush_output) &
   naf(adminInv_Sat) or
   nl & write('Checking doorLatchAlarmInvOK...') & 
     prolog_call(flush_output) &
   naf(doorLatchAlarmInv_Sat) or
   nl & write('Checking idStationInv01OK...') & prolog_call(flush_output) &
   naf(idStationInv01_Sat) or
   nl & write('Checking idStationInv02OK...') & prolog_call(flush_output) &
   naf(idStationInv02_Sat) or
   nl & write('Checking idStationInv03OK...') & prolog_call(flush_output) &
   naf(idStationInv03_Sat) or
   nl & write('Checking idStationInv04OK...') & prolog_call(flush_output) &
   naf(idStationInv04_Sat) or
   nl & write('Checking idStationInv05OK...') & prolog_call(flush_output) &
   naf(idStationInv05_Sat) or
   nl & write('Checking idStationInv06OK...') & prolog_call(flush_output) &
   naf(idStationInv06_Sat) or
   nl & write('Checking idStationInv07OK...') & prolog_call(flush_output) &
   naf(idStationInv07_Sat) or
   nl & write('Checking idStationInv08OK...') & prolog_call(flush_output) &
   naf(idStationInv08_Sat) or
   nl & write('Checking idStationInv09OK...') & prolog_call(flush_output) &
   naf(idStationInv09_Sat) or
   nl & write('Checking idStationInv10OK...') & prolog_call(flush_output) &
   naf(idStationInv10_Sat) or
   nl & write('Checking idStationInv11OK...') & prolog_call(flush_output) &
   naf(idStationInv11_Sat) or
   nl & write('Checking idStationInv12OK...') & prolog_call(flush_output) &
   naf(idStationInv12_Sat) or
   nl & write('Checking idStationInv13OK...') & prolog_call(flush_output) &
   naf(idStationInv13_Sat) or
   nl & nl & nl & write('Checking negations of operation schemas...') & nl &
     prolog_call(flush_output) &
   nl & write('Checking tokenWithValidAuth...') & prolog_call(flush_output) &
   naf(tokenWithValidAuth_Sat) or
   nl & write('Checking certIssuerKnown...') & prolog_call(flush_output) &
   naf(certIssuerKnown_Sat) or
   nl & write('Checking certOK...') & prolog_call(flush_output) &
   naf(certOK_Sat) or
   nl & write('Checking certIssuerIsThisTIS...') & 
     prolog_call(flush_output) &
   naf(certIssuerIsThisTIS_Sat) or
   nl & write('Checking authCertOK...') & prolog_call(flush_output) &
   naf(authCertOK_Sat) or
   nl & write('Checking userTokenWithOKAuthCert...') &
     prolog_call(flush_output) &
   naf(userTokenWithOKAuthCert_Sat) or
   nl & write('Checking currentToken...') & prolog_call(flush_output) &
   naf(currentToken_Sat) or
   nl & write('Checking userTokenOK...') & prolog_call(flush_output) &
   naf(userTokenOK_Sat) or
   nl & write('Checking validToken...') & prolog_call(flush_output) &
   naf(validToken_Sat) or
   nl & write('Checking userAllowedEntry...') & prolog_call(flush_output) &
   naf(userAllowedEntry_Sat) or
   nl & write('Checking enrolmentDataOK...') & prolog_call(flush_output) &
   naf(enrolmentDataOK_Sat) or
   nl & write('Checking adminTokenOK...') & prolog_call(flush_output) &
   naf(adminTokenOK_Sat) or
   nl & write('Checking userTokenWithOKAuthCertNoCurrencyCheck...') &
     prolog_call(flush_output) &
     naf(userTokenWithOKAuthCertNoCurrencyCheck_Sat) or
   nl & write('Checking userTokenOKNoCurrencyCheck...') &
     prolog_call(flush_output) &
     naf(userTokenOKNoCurrencyCheck_Sat) or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
   nl & nl & write('All proof obligations discharged in ') & write(T) & 
   write(' seconds') & nl).

checkAllNotSat :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking negations of state invariant schemas...') & nl &
     prolog_call(flush_output) &
   nl & write('Checking configInvOK...') & prolog_call(flush_output) &
   naf(not_configInv_Sat) or
   nl & write('Checking keyStoreInvOK...') & prolog_call(flush_output) &
   naf(not_keyStoreInv_Sat) or
   nl & write('Checking adminInvOK...') & prolog_call(flush_output) &
   naf(not_adminInv_Sat) or
   nl & write('Checking doorLatchAlarmInvOK...') & 
     prolog_call(flush_output) &
   naf(not_doorLatchAlarmInv_Sat) or
   nl & write('Checking idStationInv01OK...') & prolog_call(flush_output) &
   naf(not_idStationInv01_Sat) or
   nl & write('Checking idStationInv02OK...') & prolog_call(flush_output) &
   naf(not_idStationInv02_Sat) or
   nl & write('Checking idStationInv03OK...') & prolog_call(flush_output) &
   naf(not_idStationInv03_Sat) or
   nl & write('Checking idStationInv04OK...') & prolog_call(flush_output) &
   naf(not_idStationInv04_Sat) or
   nl & write('Checking idStationInv05OK...') & prolog_call(flush_output) &
   naf(not_idStationInv05_Sat) or
   nl & write('Checking idStationInv06OK...') & prolog_call(flush_output) &
   naf(not_idStationInv06_Sat) or
   nl & write('Checking idStationInv07OK...') & prolog_call(flush_output) &
   naf(not_idStationInv07_Sat) or
   nl & write('Checking idStationInv08OK...') & prolog_call(flush_output) &
   naf(not_idStationInv08_Sat) or
   nl & write('Checking idStationInv09OK...') & prolog_call(flush_output) &
   naf(not_idStationInv09_Sat) or
   nl & write('Checking idStationInv10OK...') & prolog_call(flush_output) &
   naf(not_idStationInv10_Sat) or
   nl & write('Checking idStationInv11OK...') & prolog_call(flush_output) &
   naf(not_idStationInv11_Sat) or
   nl & write('Checking idStationInv12OK...') & prolog_call(flush_output) &
   naf(not_idStationInv12_Sat) or
   nl & write('Checking idStationInv13OK...') & prolog_call(flush_output) &
   naf(not_idStationInv13_Sat) or
   nl & nl & nl & write('Checking negations of operation schemas...') & nl &
     prolog_call(flush_output) &
   nl & write('Checking tokenWithValidAuth...') & prolog_call(flush_output) &
   naf(not_tokenWithValidAuth_Sat) or
   nl & write('Checking certIssuerKnown...') & prolog_call(flush_output) &
   naf(not_certIssuerKnown_Sat) or
   nl & write('Checking certOK...') & prolog_call(flush_output) &
   naf(not_certOK_Sat) or
   nl & write('Checking certIssuerIsThisTIS...') & 
     prolog_call(flush_output) &
   naf(not_certIssuerIsThisTIS_Sat) or
   nl & write('Checking authCertOK...') & prolog_call(flush_output) &
   naf(not_authCertOK_Sat) or
   nl & write('Checking userTokenWithOKAuthCert...') &
     prolog_call(flush_output) &
   naf(not_userTokenWithOKAuthCert_Sat) or
   nl & write('Checking currentToken...') & prolog_call(flush_output) &
   naf(not_currentToken_Sat) or
   nl & write('Checking userTokenOK...') & prolog_call(flush_output) &
   naf(not_userTokenOK_Sat) or
   nl & write('Checking validToken...') & prolog_call(flush_output) &
   naf(not_validToken_Sat) or
   nl & write('Checking userAllowedEntry...') & prolog_call(flush_output) &
   naf(not_userAllowedEntry_Sat) or
   nl & write('Checking enrolmentDataOK...') & 
   naf(not_enrolmentDataOK_Sat) or
   nl & write('Checking adminTokenOK...') & prolog_call(flush_output) &
   naf(not_adminTokenOK_Sat) or
   nl & write('Checking userTokenWithOKAuthCertNoCurrencyCheck...') &
     prolog_call(flush_output) &
     naf(not_userTokenWithOKAuthCertNoCurrencyCheck_Sat) or
   nl & write('Checking userTokenOKNoCurrencyCheck...') &
     prolog_call(flush_output) &
     naf(not_userTokenOKNoCurrencyCheck_Sat) or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
   nl & nl & write('All proof obligations discharged in ') & write(T) & 
   write(' seconds') & nl).

checkAllNeg :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking negations of state invariant schemas...') & nl &
     prolog_call(flush_output) &
   nl & write('Checking neg_configInvOK...') & prolog_call(flush_output) &
   neg_configInv_Unsat or
   nl & write('Checking neg_keyStoreInvOK...') & prolog_call(flush_output) &
   neg_keyStoreInv_Unsat or
   nl & write('Checking neg_adminInvOK...') & prolog_call(flush_output) &
   neg_adminInv_Unsat or
   nl & write('Checking neg_doorLatchAlarmInvOK...') & 
     prolog_call(flush_output) &
   neg_doorLatchAlarmInv_Unsat or
   nl & write('Checking neg_idStationInv01OK...') & prolog_call(flush_output) &
   neg_idStationInv01_Unsat or
   nl & write('Checking neg_idStationInv02OK...') & prolog_call(flush_output) &
   neg_idStationInv02_Unsat or
   nl & write('Checking neg_idStationInv03OK...') & prolog_call(flush_output) &
   neg_idStationInv03_Unsat or
   nl & write('Checking neg_idStationInv04OK...') & prolog_call(flush_output) &
   neg_idStationInv04_Unsat or
   nl & write('Checking neg_idStationInv05OK...') & prolog_call(flush_output) &
   neg_idStationInv05_Unsat or
   nl & write('Checking neg_idStationInv06OK...') & prolog_call(flush_output) &
   neg_idStationInv06_Unsat or
   nl & write('Checking neg_idStationInv07OK...') & prolog_call(flush_output) &
   neg_idStationInv07_Unsat or
   nl & write('Checking neg_idStationInv08OK...') & prolog_call(flush_output) &
   neg_idStationInv08_Unsat or
   nl & write('Checking neg_idStationInv09OK...') & prolog_call(flush_output) &
   neg_idStationInv09_Unsat or
   nl & write('Checking neg_idStationInv10OK...') & prolog_call(flush_output) &
   neg_idStationInv10_Unsat or
   nl & write('Checking neg_idStationInv11OK...') & prolog_call(flush_output) &
   neg_idStationInv11_Unsat or
   nl & write('Checking neg_idStationInv12OK...') & prolog_call(flush_output) &
   neg_idStationInv12_Unsat or
   nl & write('Checking neg_idStationInv13OK...') & prolog_call(flush_output) &
   neg_idStationInv13_Unsat or
   nl & nl & nl & write('Checking negations of operation schemas...') & nl &
     prolog_call(flush_output) &
   nl & write('Checking neg_tokenWithValidAuth...') & prolog_call(flush_output) &
   neg_tokenWithValidAuth or
   nl & write('Checking neg_certIssuerKnown...') & prolog_call(flush_output) &
   neg_certIssuerKnown or
   nl & write('Checking neg_certOK...') & prolog_call(flush_output) &
   neg_certOK or
   nl & write('Checking neg_certIssuerIsThisTIS...') & 
     prolog_call(flush_output) &
   neg_certIssuerIsThisTIS or
   nl & write('Checking neg_authCertOK...') & prolog_call(flush_output) &
   neg_authCertOK or
   nl & write('Checking neg_userTokenWithOKAuthCert...') &
     prolog_call(flush_output) &
   neg_userTokenWithOKAuthCert or
   nl & write('Checking neg_currentToken...') & prolog_call(flush_output) &
   neg_currentToken or
   nl & write('Checking neg_userTokenOK...') & prolog_call(flush_output) &
   neg_userTokenOK or
   nl & write('Checking neg_validToken...') & prolog_call(flush_output) &
   neg_validToken or
   nl & write('Checking neg_userAllowedEntry...') & prolog_call(flush_output) &
   neg_userAllowedEntry or
   nl & write('Checking neg_adminTokenOK...') & prolog_call(flush_output) &
   neg_adminTokenOK or
   nl & write('Checking neg_userTokenWithOKAuthCertNoCurrencyCheck...') &
     prolog_call(flush_output) &
     neg_userTokenWithOKAuthCertNoCurrencyCheck or
   nl & write('Checking neg_userTokenOKNoCurrencyCheck...') &
     prolog_call(flush_output) &
     neg_userTokenOKNoCurrencyCheck or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
   nl & nl & write('All proof obligations discharged in ') & write(T) & 
   write(' seconds') & nl).


