%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                          %
%            PROOF OBLIGATIONS             %
%                                          %
%  INITIAL STATE SATISFIES THE INVARIANTS  %
%                                          %
%  :- checkAllInitSAT.                     %
%                                          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%% 12 proof obligations

initSATidStationInv01 :-
  idStationInv01(IDStation) & initIDStation(IDStation).

initSATidStationInv02 :-
  idStationInv02(IDStation,_M) & initIDStation(IDStation).

initSATidStationInv03 :-
  idStationInv03(IDStation,[_M1,_M2]) & initIDStation(IDStation).

initSATidStationInv04 :-
  idStationInv04(IDStation,_X) & initIDStation(IDStation).

initSATidStationInv05 :-
  idStationInv05(IDStation,_T) & initIDStation(IDStation).

initSATidStationInv06 :-
  idStationInv06(IDStation,_T) & initIDStation(IDStation).

initSATidStationInv07 :-
  idStationInv07(IDStation) & initIDStation(IDStation).

initSATidStationInv08 :-
  idStationInv08(IDStation) & initIDStation(IDStation).

initSATidStationInv09 :-
  idStationInv09(IDStation,_X) & initIDStation(IDStation).

initSATidStationInv10 :-
  idStationInv10(IDStation) & initIDStation(IDStation).

initSATidStationInv11 :-
  idStationInv11(IDStation) & initIDStation(IDStation).

initSATidStationInv12 :-
  idStationInv12(IDStation) & initIDStation(IDStation).

checkAllInitSAT :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking initSATidStationInv01...') & prolog_call(flush_output) &
   naf(initSATidStationInv01) or
   nl & write('Checking initSATidStationInv02...') & prolog_call(flush_output) &
   naf(initSATidStationInv02) or
   nl & write('Checking initSATidStationInv03...') & prolog_call(flush_output) &
   naf(initSATidStationInv03) or
   nl & write('Checking initSATidStationInv04...') & prolog_call(flush_output) &
   naf(initSATidStationInv04) or
   nl & write('Checking initSATidStationInv05...') & prolog_call(flush_output) &
   naf(initSATidStationInv05) or
   nl & write('Checking initSATidStationInv06...') & prolog_call(flush_output) &
   naf(initSATidStationInv06) or
   nl & write('Checking initSATidStationInv07...') & prolog_call(flush_output) &
   naf(initSATidStationInv07) or
   nl & write('Checking initSATidStationInv08...') & prolog_call(flush_output) &
   naf(initSATidStationInv08) or
   nl & write('Checking initSATidStationInv09...') & prolog_call(flush_output) &
   naf(initSATidStationInv09) or
   nl & write('Checking initSATidStationInv10...') & prolog_call(flush_output) &
   naf(initSATidStationInv10) or
   nl & write('Checking initSATidStationInv11...') & prolog_call(flush_output) &
   naf(initSATidStationInv11) or
   nl & write('Checking initSATidStationInv12...') & prolog_call(flush_output) &
   naf(initSATidStationInv12) or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
   nl & nl & write('All proof obligations discharged in ') & write(T) & 
   write(' seconds') & nl).

