%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                          %
%            PROOF OBLIGATIONS             %
%                                          %
%        OPERATIONS ARE SATISFIABLE        %
%                                          %
%  :- checkAllSAT.                         %
%                                          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%% 74 proof obligations

auditAlarmSAT :-
  auditAlarm(DoorLatchAlarm,_Config,AuditLog,AuditLog_,DoorLatchAlarm_) &
  DoorLatchAlarm neq DoorLatchAlarm_ &
  AuditLog neq AuditLog_.

auditLatchSAT :-
  auditLatch(DoorLatchAlarm,_Config,AuditLog,AuditLog_,DoorLatchAlarm_) &
  DoorLatchAlarm neq DoorLatchAlarm_ &
  AuditLog neq AuditLog_.

auditDoorSAT :-
  auditDoor(DoorLatchAlarm,_Config,AuditLog,AuditLog_,DoorLatchAlarm_) &
  DoorLatchAlarm neq DoorLatchAlarm_ &
  AuditLog neq AuditLog_.

auditLogAlarmSAT :-
  auditLogAlarm(_Config,AuditLog,AuditLog_) &
  AuditLog neq AuditLog_.

auditScreenSAT :-
  auditScreen(IDStation,IDStation_) &
  IDStation neq IDStation_.

auditDisplaySAT :-
  auditDisplay(IDStation,IDStation_) &
  IDStation neq IDStation_.

noChangeSAT :-
  noChange(IDStation,IDStation_) &
  IDStation neq IDStation_.

tisPollSAT :- 
  tisPoll(IDStation,_RealWorld,_RealWorld_,IDStation_) &
  IDStation neq IDStation_.

tisEarlyUpdateSAT :-
  tisEarlyUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

tisUpdateSAT :-
  tisUpdate(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

tisReadUserTokenSAT :-
  tisReadUserToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

bioCheckRequiredSAT :-
  bioCheckRequired(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

bioCheckNotRequiredSAT :-
  bioCheckNotRequired(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

validateUserTokenFailSAT :-
  validateUserTokenFail(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

userTokenTornSAT :-
  userTokenTorn(IDStation,RealWorld,RealWorld_,IDStation_) &
    IDStation = [_,_,_,_,_,_,_,_,_,_,_,Internal,_,_] &
    Internal = [Status,_,_] &
  Status = gotUserToken &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

readFingerOKSAT :-
  readFingerOK(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

fingerTimeoutSAT :-
  fingerTimeout(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

noFingerSAT :-
  noFinger(_IDStation,RealWorld,RealWorld_,_IDStation_) &
  RealWorld neq RealWorld_.

userTokenTorn2SAT :-
  userTokenTorn(IDStation,RealWorld,RealWorld_,IDStation_) &
    IDStation = [_,_,_,_,_,_,_,_,_,_,_,Internal,_,_] &
    Internal = [Status,_,_] &
  Status = waitingFinger &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

validateFingerOKSAT :-
  validateFingerOK(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

validateFingerFailSAT :-
  validateFingerFail(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

userTokenTorn3SAT :-
  userTokenTorn(IDStation,RealWorld,RealWorld_,IDStation_) &
    IDStation = [_,_,_,_,_,_,_,_,_,_,_,Internal,_,_] &
    Internal = [Status,_,_] &
  Status = gotFinger &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

writeUserTokenOKSAT :-
  writeUserTokenOK(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

writeUserTokenFailSAT :-
  writeUserTokenFail(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

writeUserTokenSAT :-
  writeUserToken(IDStation,RealWorld,RealWorld__,IDStation__) &
  updateUserToken(IDStation__,RealWorld__,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

userTokenTorn4SAT :-
  userTokenTorn(IDStation,RealWorld,RealWorld_,IDStation_) &
    IDStation = [_,_,_,_,_,_,_,_,_,_,_,Internal,_,_] &
    Internal = [Status,_,_] &
  Status = waitingUpdateToken &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

entryOKSAT :-
  entryOK(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

entryNotAllowedSAT :-
  entryNotAllowed(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

userTokenTorn5SAT :-
  userTokenTorn(IDStation,RealWorld,RealWorld_,IDStation_) &
    IDStation = [_,_,_,_,_,_,_,_,_,_,_,Internal,_,_] &
    Internal = [Status,_,_] &
  Status = waitingEntry &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

unlockDoorOKSAT :-
  unlockDoorOK(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

waitingTokenRemovalSAT :-
  waitingTokenRemoval(IDStation,RealWorld,RealWorld_,_IDStation_) &
    IDStation = [_,_,_,_,_,_,_,_,_,_,_,Internal,_,_] &
    Internal = [Status,_,_] &
  Status = waitingRemoveTokenSuccess &
  RealWorld neq RealWorld_.

tokenRemovalTimeoutSAT :-
  tokenRemovalTimeout(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

failedAccessTokenRemovedSAT :-
  failedAccessTokenRemoved(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

waitingTokenRemoval2SAT :-
  waitingTokenRemoval(IDStation,RealWorld,RealWorld_,_IDStation_) &
    IDStation = [_,_,_,_,_,_,_,_,_,_,_,Internal,_,_] &
    Internal = [Status,_,_] &
  Status = waitingRemoveTokenFail &
  RealWorld neq RealWorld_.

tisUserEntryOpSAT :-
  tisUserEntryOp(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

readEnrolmentFloppySAT :-
  readEnrolmentFloppy(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

requestEnrolmentSAT :-
  requestEnrolment(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

validateEnrolmentDataOKSAT :-
  validateEnrolmentDataOK_SAT(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

validateEnrolmentDataFailSAT :-
  validateEnrolmentDataFail(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

failedEnrolFloppyRemovedSAT :-
  failedEnrolFloppyRemoved(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

waitingFloppyRemovalSAT :-
  waitingFloppyRemoval(IDStation,RealWorld,RealWorld_,IDStation_) &
  RealWorld neq RealWorld_.

tisReadAdminTokenSAT :-
  tisReadAdminToken(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

validateAdminTokenOKSAT :-
  validateAdminTokenOK(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

validateAdminTokenFailSAT :-
  validateAdminTokenFail(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

loginAbortedSAT :-
  loginAborted(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

failedAdminTokenRemovedSAT :-
  failedAdminTokenRemoved(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

waitingAdminTokenRemovalSAT :-
  waitingAdminTokenRemoval(_IDStation,RealWorld,RealWorld_,_IDStation_) &
  RealWorld neq RealWorld_.

tisCompleteTimeoutAdminLogoutSAT :-
  tisCompleteTimeoutAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

tokenRemovedAdminLogoutSAT :-
  tokenRemovedAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

adminTokenTimeoutSAT :-
  adminTokenTimeout(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

validateOpRequestOKSAT :-
  validateOpRequestOK(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

validateOpRequestFailSAT :-
  validateOpRequestFail(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

noOpRequestSAT :-
  noOpRequest(_IDStation,RealWorld,RealWorld_,_IDStation_) &
  RealWorld neq RealWorld_.

startArchiveLogOKSAT :-
  startArchiveLogOK(IDStation,RealWorld,RealWorld__,IDStation__) &
  updateFloppy(IDStation__,RealWorld__,IDStation_,RealWorld_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

startArchiveLogWaitingFloppySAT :-
  startArchiveLogWaitingFloppy(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

badAdminLogout1SAT :-
  badAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
      IDStation = [_,_,_,_,_,_,_,_,_,Admin,_,Internal,_,_] &
        Internal = [_,EnclaveStatus,_] &
        Admin = [_,_,CurrentAdminOp] &
    EnclaveStatus = waitingStartAdminOp &
    the(CurrentAdminOp,archiveLog) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

finishArchiveLogBadMatchSAT :-
  finishArchiveLogBadMatch(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

finishArchiveLogNoFloppySAT :-
  finishArchiveLogNoFloppy(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

finishArchiveLogOKSAT :-
  finishArchiveLogOK(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

finishArchiveLogFailSAT :-
  finishArchiveLogFail(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

badAdminLogout2SAT :-
  badAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
      IDStation = [_,_,_,_,_,_,_,_,_,Admin,_,Internal,_,_] &
        Internal = [_,EnclaveStatus,_] &
        Admin = [_,_,CurrentAdminOp] &
    EnclaveStatus = waitingFinishAdminOp &
    the(CurrentAdminOp,archiveLog) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

startUpdateConfigOKSAT :-
  startUpdateConfigOK(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

startUpdateConfigWaitingFloppySAT :-
  startUpdateConfigWaitingFloppy(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

badAdminLogout3SAT :-
  badAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
      IDStation = [_,_,_,_,_,_,_,_,_,Admin,_,Internal,_,_] &
        Internal = [_,EnclaveStatus,_] &
        Admin = [_,_,CurrentAdminOp] &
    EnclaveStatus = waitingStartAdminOp &
    the(CurrentAdminOp,updateConfigData) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

finishUpdateConfigDataOKSAT :-
  finishUpdateConfigDataOK(_M,IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

finishUpdateConfigDataFailSAT :-
  finishUpdateConfigDataFail(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

badAdminLogout4SAT :-
  badAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
      IDStation = [_,_,_,_,_,_,_,_,_,Admin,_,Internal,_,_] &
        Internal = [_,EnclaveStatus,_] &
        Admin = [_,_,CurrentAdminOp] &
    EnclaveStatus = waitingFinishAdminOp &
    the(CurrentAdminOp,updateConfigData) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

shutdownOKSAT :-
  shutdownOK(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

shutdownWaitingDoorSAT :-
  shutdownWaitingDoor(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

overrideDoorLockOKSAT :-
  overrideDoorLockOK(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

badAdminLogout5SAT :-
  badAdminLogout(IDStation,RealWorld,RealWorld_,IDStation_) &
    IDStation = [_,_,_,_,_,_,_,_,_,Admin,_,Internal,_,_] &
    Internal = [_,EnclaveStatus,_] &
    Admin = [_,_,CurrentAdminOp] &
  EnclaveStatus = waitingStartAdminOp &
  the(CurrentAdminOp,overrideLock) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

startEnrolledStationSAT :-
  startEnrolledStation(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

startNonEnrolledStationSAT :-
  startNonEnrolledStation(IDStation,RealWorld,RealWorld_,IDStation_) &
  IDStation neq IDStation_ &
  RealWorld neq RealWorld_.

tisIdleSAT :-
  tisIdle(_IDStation,
          _TISControlledRealWorld,_TISControlledRealWorld_,_IDStation_).

checkAllSAT :-
  prolog_call(get_time(Ti)) &
  (nl & write('Checking auditAlarmSAT...') & prolog_call(flush_output) &
   naf(auditAlarmSAT) or
   nl & write('Checking auditLatchSAT...') & prolog_call(flush_output) &
   naf(auditLatchSAT) or
   nl & write('Checking auditDoorSAT...') & prolog_call(flush_output) &
   naf(auditDoorSAT) or
   nl & write('Checking auditLogAlarmSAT...') & prolog_call(flush_output) &
   naf(auditLogAlarmSAT) or
   nl & write('Checking auditScreenSAT...') & prolog_call(flush_output) &
   naf(auditScreenSAT) or
   nl & write('Checking auditDisplaySAT...') & prolog_call(flush_output) &
   naf(auditDisplaySAT) or
   nl & write('Checking noChangeSAT...') & prolog_call(flush_output) &
   naf(noChangeSAT) or
   nl & write('Checking tisPollSAT...') & prolog_call(flush_output) &
   naf(tisPollSAT) or
   nl & write('Checking tisEarlyUpdateSAT...') & prolog_call(flush_output) &
   naf(tisEarlyUpdateSAT) or
   nl & write('Checking tisUpdateSAT...') & prolog_call(flush_output) &
   naf(tisUpdateSAT) or
   nl & write('Checking tisReadUserTokenSAT...') & prolog_call(flush_output) &
   naf(tisReadUserTokenSAT) or
   nl & write('Checking bioCheckRequiredSAT...') & prolog_call(flush_output) &
   naf(bioCheckRequiredSAT) or
   nl & write('Checking bioCheckNotRequiredSAT...') & prolog_call(flush_output) &
   naf(bioCheckNotRequiredSAT) or
   nl & write('Checking validateUserTokenFailSAT...') & 
        prolog_call(flush_output) &
   naf(validateUserTokenFailSAT) or
   nl & write('Checking userTokenTornSAT...') & prolog_call(flush_output) &
   naf(userTokenTornSAT) or
   nl & write('Checking readFingerOKSAT...') & prolog_call(flush_output) &
   naf(readFingerOKSAT) or
   nl & write('Checking fingerTimeoutSAT...') & prolog_call(flush_output) &
   naf(fingerTimeoutSAT) or
   nl & write('Checking noFingerSAT...') & prolog_call(flush_output) &
   naf(noFingerSAT) or
   nl & write('Checking userTokenTorn2SAT...') & prolog_call(flush_output) &
   naf(userTokenTorn2SAT) or
   nl & write('Checking validateFingerOKSAT...') & prolog_call(flush_output) &
   naf(validateFingerOKSAT) or
   nl & write('Checking validateFingerFailSAT...') & prolog_call(flush_output) &
   naf(validateFingerFailSAT) or
   nl & write('Checking userTokenTorn3SAT...') & prolog_call(flush_output) &
   naf(userTokenTorn3SAT) or
   nl & write('Checking writeUserTokenOKSAT...') & prolog_call(flush_output) &
   naf(writeUserTokenOKSAT) or
   nl & write('Checking writeUserTokenFailSAT...') & prolog_call(flush_output) &
   naf(writeUserTokenFailSAT) or
   nl & write('Checking writeUserTokenSAT...') & prolog_call(flush_output) &
   naf(writeUserTokenSAT) or
   nl & write('Checking userTokenTorn4SAT...') & prolog_call(flush_output) &
   naf(userTokenTorn4SAT) or
   nl & write('Checking entryOKSAT...') & prolog_call(flush_output) &
   naf(entryOKSAT) or
   nl & write('Checking entryNotAllowedSAT...') & prolog_call(flush_output) &
   naf(entryNotAllowedSAT) or
   nl & write('Checking userTokenTorn5SAT...') & prolog_call(flush_output) &
   naf(userTokenTorn5SAT) or
   nl & write('Checking unlockDoorOKSAT...') & prolog_call(flush_output) &
   naf(unlockDoorOKSAT) or
   nl & write('Checking waitingTokenRemovalSAT...') & prolog_call(flush_output) &
   naf(waitingTokenRemovalSAT) or
   nl & write('Checking tokenRemovalTimeoutSAT...') & prolog_call(flush_output) &
   naf(tokenRemovalTimeoutSAT) or
   nl & write('Checking failedAccessTokenRemovedSAT...') &
        prolog_call(flush_output) &
   naf(failedAccessTokenRemovedSAT) or
   nl & write('Checking waitingTokenRemoval2SAT...') &
        prolog_call(flush_output) &
   naf(waitingTokenRemoval2SAT) or
   nl & write('Checking tisUserEntryOpSAT...') & prolog_call(flush_output) &
   naf(tisUserEntryOpSAT) or
   nl & write('Checking readEnrolmentFloppySAT...') & prolog_call(flush_output) &
   naf(readEnrolmentFloppySAT) or
   nl & write('Checking requestEnrolmentSAT...') & prolog_call(flush_output) &
   naf(requestEnrolmentSAT) or
   nl & write('Checking validateEnrolmentDataOKSAT...') &
        prolog_call(flush_output) &
   naf(validateEnrolmentDataOKSAT) or
   nl & write('Checking validateEnrolmentDataFailSAT...') &
        prolog_call(flush_output) &
   naf(validateEnrolmentDataFailSAT) or
   nl & write('Checking failedEnrolFloppyRemovedSAT...') &
        prolog_call(flush_output) &
   naf(failedEnrolFloppyRemovedSAT) or
   nl & write('Checking waitingFloppyRemovalSAT...') &
        prolog_call(flush_output) &
   naf(waitingFloppyRemovalSAT) or
   nl & write('Checking tisReadAdminTokenSAT...') & prolog_call(flush_output) &
   naf(tisReadAdminTokenSAT) or
   nl & write('Checking validateAdminTokenOKSAT...') &
        prolog_call(flush_output) &
   naf(validateAdminTokenOKSAT) or
   nl & write('Checking validateAdminTokenFailSAT...') &
        prolog_call(flush_output) &
   naf(validateAdminTokenFailSAT) or
   nl & write('Checking loginAbortedSAT...') & prolog_call(flush_output) &
   naf(loginAbortedSAT) or
   nl & write('Checking failedAdminTokenRemovedSAT...') &
        prolog_call(flush_output) &
   naf(failedAdminTokenRemovedSAT) or
   nl & write('Checking waitingAdminTokenRemovalSAT...') &
        prolog_call(flush_output) &
   naf(waitingAdminTokenRemovalSAT) or
   nl & write('Checking tisCompleteTimeoutAdminLogoutSAT...') &
        prolog_call(flush_output) &
   naf(tisCompleteTimeoutAdminLogoutSAT) or
   nl & write('Checking tokenRemovedAdminLogoutSAT...') &
        prolog_call(flush_output) &
   naf(tokenRemovedAdminLogoutSAT) or
   nl & write('Checking adminTokenTimeoutSAT...') & prolog_call(flush_output) &
   naf(adminTokenTimeoutSAT) or
   nl & write('Checking validateOpRequestOKSAT...') & prolog_call(flush_output) &
   naf(validateOpRequestOKSAT) or
   nl & write('Checking validateOpRequestFailSAT...') &
        prolog_call(flush_output) &
   naf(validateOpRequestFailSAT) or
   nl & write('Checking noOpRequestSAT...') & prolog_call(flush_output) &
   naf(noOpRequestSAT) or
   nl & write('Checking startArchiveLogOKSAT...') & prolog_call(flush_output) &
   naf(startArchiveLogOKSAT) or
   nl & write('Checking startArchiveLogWaitingFloppySAT...') &
        prolog_call(flush_output) &
   naf(startArchiveLogWaitingFloppySAT) or
   nl & write('Checking badAdminLogout1SAT...') & prolog_call(flush_output) &
   naf(badAdminLogout1SAT) or
   nl & write('Checking finishArchiveLogBadMatchSAT...') &
        prolog_call(flush_output) &
   naf(finishArchiveLogBadMatchSAT) or
   nl & write('Checking finishArchiveLogNoFloppySAT...') &
        prolog_call(flush_output) &
   naf(finishArchiveLogNoFloppySAT) or
   nl & write('Checking finishArchiveLogOKSAT...') & prolog_call(flush_output) &
   naf(finishArchiveLogOKSAT) or
   nl & write('Checking finishArchiveLogFailSAT...') &
        prolog_call(flush_output) &
   naf(finishArchiveLogFailSAT) or
   nl & write('Checking badAdminLogout2SAT...') & prolog_call(flush_output) &
   naf(badAdminLogout2SAT) or
   nl & write('Checking startUpdateConfigOKSAT...') & prolog_call(flush_output) &
   naf(startUpdateConfigOKSAT) or
   nl & write('Checking startUpdateConfigWaitingFloppySAT...') &
        prolog_call(flush_output) &
   naf(startUpdateConfigWaitingFloppySAT) or
   nl & write('Checking badAdminLogout3SAT...') & prolog_call(flush_output) &
   naf(badAdminLogout3SAT) or
   nl & write('Checking finishUpdateConfigDataOKSAT...') &
        prolog_call(flush_output) &
   naf(finishUpdateConfigDataOKSAT) or
   nl & write('Checking finishUpdateConfigDataFailSAT...') &
        prolog_call(flush_output) &
   naf(finishUpdateConfigDataFailSAT) or
   nl & write('Checking badAdminLogout4SAT...') & prolog_call(flush_output) &
   naf(badAdminLogout4SAT) or
   nl & write('Checking shutdownOKSAT...') & prolog_call(flush_output) &
   naf(shutdownOKSAT) or
   nl & write('Checking shutdownWaitingDoorSAT...') & prolog_call(flush_output) &
   naf(shutdownWaitingDoorSAT) or
   nl & write('Checking overrideDoorLockOKSAT...') & prolog_call(flush_output) &
   naf(overrideDoorLockOKSAT) or
   nl & write('Checking badAdminLogout5SAT...') & prolog_call(flush_output) &
   naf(badAdminLogout5SAT) or
   nl & write('Checking startEnrolledStationSAT...') &
        prolog_call(flush_output) &
   naf(startEnrolledStationSAT) or
   nl & write('Checking startNonEnrolledStationSAT...') &
        prolog_call(flush_output) &
   naf(startNonEnrolledStationSAT) or
   nl & write('Checking tisIdleSAT...') & prolog_call(flush_output) &
   naf(tisIdleSAT) or
   prolog_call(get_time(Te)) & prolog_call(T is Te - Ti) &
   nl & nl & write('All proof obligations discharged in ') & write(T) & 
   write(' seconds') & nl).

